Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class AttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.AttributeParser

Direct Known Subclasses:
  StringAttributeParser, ValueListAttributeParser

    abstract class AttributeParser

extends java.lang.Object

Base class for all attribute parsers.

Constructor Summary
`protected` | `AttributeParser(java.lang.String key)` Creates a new parser for the specified attribute key.

Method Summary
`java.lang.String` | `getKey()` Gets this parsers key.
`abstract void` | `parse(java.lang.String value, Configuration config, ExceptionFactory factory)` Invoked to parse the specified value and place the result in the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeParser

    protected AttributeParser(java.lang.String key)

  Creates a new parser for the specified attribute key.

  Parameters:
    `key` - the attribute key.

Method Detail

### parse

    public abstract void parse(java.lang.String value,
                               Configuration config,
                               ExceptionFactory factory)
                        throws ParseException

  Invoked to parse the specified value and place the result in the configuration.

  Parameters:
    `value` - the value to parse.
    `config` - the configuration object to update.
    `factory` - the exception factory to use.
  Throws:
    `ParseException` - if there was an error parsing the value.

### getKey

    public java.lang.String getKey()

  Gets this parsers key.

  Returns:
    this parsers key.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch